%global srcname pdir2
%bcond_without tests

Name: python-%{srcname}
Version: 0.2.1
Release: 2%{?dist}
Summary: Pretty dir() printing with joy
License: MIT
URL: https://pypi.python.org/pypi/%{srcname}
# PyPI tarball doesn't have tests
Source0: https://github.com/laike9m/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz
BuildArch: noarch


%description
An improved version of dir() with better output.  Attributes are grouped by
types/functionalities, with beautiful colors.  Supports ipython, ptpython,
bpython, and Jupyter Notebook.


%package -n python2-%{srcname}
Summary: Pretty dir() printing with joy
BuildRequires: python2-devel
BuildRequires: python2-setuptools >= 20.6.8
%if %{with tests}
BuildRequires: python2-pytest >= 2.4
BuildRequires: python2-pandas
BuildRequires: python-enum34
%endif
Requires: python-enum34
%{?python_provide:%python_provide python2-%{srcname}}


%description -n python2-%{srcname}
An improved version of dir() with better output.  Attributes are grouped by
types/functionalities, with beautiful colors.  Supports ipython, ptpython,
bpython, and Jupyter Notebook.


%if 0%{?fedora}
%package -n python3-%{srcname}
Summary: Pretty dir() printing with joy
BuildRequires: python3-devel
BuildRequires: python3-setuptools >= 20.6.8
%if %{with tests}
BuildRequires: python3-pytest >= 2.4
BuildRequires: python3-pandas
%endif
%{?python_provide:%python_provide python3-%{srcname}}


%description -n python3-%{srcname}
An improved version of dir() with better output.  Attributes are grouped by
types/functionalities, with beautiful colors.  Supports ipython, ptpython,
bpython, and Jupyter Notebook.
%endif


%prep
%autosetup -n %{srcname}-%{version} -p 1


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%if %{with tests}
%check
py.test-%{python2_version} --verbose
py.test-%{python3_version} --verbose
%endif


%files -n python2-%{srcname}
%license LICENSE
%doc docs/README.rst
%{python2_sitelib}/*


%files -n python3-%{srcname}
%license LICENSE
%doc docs/README.rst
%{python3_sitelib}/*


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jul 05 2017 Carl George <carl@george.computer> - 0.2.1-1
- Latest upstream
- Remove patch100 and patch101

* Thu Jun 29 2017 Carl George <carl@george.computer> - 0.2.0-1
- Initial package
